Can't install, gives error

24 views
Skip to first unread message

Gilles Caron

unread,
Feb 2, 2020, 3:33:15 PM2/2/20
to nvpy
While trying to install nvpy from instructions, I get the error in the included picture.
I usu Linux Mint LDME3 based on Debian

I'm not that familiar yet with the terminal so can't find what to do. Any ideas please?

Thanks
Capture du 2020-02-02 15-21-17.png

Yarko Tymciurak

unread,
Feb 2, 2020, 3:46:24 PM2/2/20
to nv...@googlegroups.com
It looks like you might be new to python, too - the message tells you that the (usually installed) "setuptools" is missing for python;
Try `sudo pip install --upgrade setuptools`  and see if that helps.

--
You received this message because you are subscribed to the Google Groups "nvpy" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/nvpy/c6a9aa48-4149-4583-9109-3ceae77c923c%40googlegroups.com.

Yarko Tymciurak

unread,
Feb 2, 2020, 3:47:28 PM2/2/20
to nv...@googlegroups.com
On Sun, Feb 2, 2020 at 2:46 PM Yarko Tymciurak <yar...@gmail.com> wrote:
It looks like you might be new to python, too - the message tells you that the (usually installed) "setuptools" is missing for python;
Try `sudo pip install --upgrade setuptools`  and see if that helps.
sorry - meant to say:  sudo pip3 install --upgrade setuptools

Gilles Caron

unread,
Feb 2, 2020, 8:49:45 PM2/2/20
to nvpy
That's right, I'm new to Python too...

I tried your suggestion and the result when I tried to start nvpy after that was...

Traceback (most recent call last):
  File "/usr/local/bin/nvpy", line 11, in <module>
    load_entry_point('nvpy==2.0.2', 'gui_scripts', 'nvpy')()
  File "/usr/local/lib/python3.5/dist-packages/pkg_resources/__init__.py", line 490, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/local/lib/python3.5/dist-packages/pkg_resources/__init__.py", line 2853, in load_entry_point
    return ep.load()
  File "/usr/local/lib/python3.5/dist-packages/pkg_resources/__init__.py", line 2444, in load
    return self.resolve()
  File "/usr/local/lib/python3.5/dist-packages/pkg_resources/__init__.py", line 2450, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/local/lib/python3.5/dist-packages/nvpy/nvpy.py", line 80
    text: str
        ^
SyntaxError: invalid syntax

At least, it's different now :-(

Yarko Tymciurak

unread,
Feb 2, 2020, 8:59:11 PM2/2/20
to nv...@googlegroups.com

nvPY works only on Python 3.6 or later.”

Get a current python installed:
See  https://www.python.org/ for a current version (Python 3.8 is the current release)

That should help.

--
You received this message because you are subscribed to the Google Groups "nvpy" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.

Gilles Caron

unread,
Feb 2, 2020, 10:51:27 PM2/2/20
to nvpy

Le dimanche 2 février 2020 15:33:15 UTC-5, Gilles Caron a écrit :
Ok, I got Python 3.6.3 installed after reading  https://www.tecmint.com/install-python-in-linux/
V3.8. Will come later ;-)

That’s a start... Now, I have the same error than before but it seems to be looking for V3.5 again. So I suppose I have to make V3.6.x the default Python version now??? Tomorrow, I’ll check that again. I’m still learning about this...

Yarko Tymciurak

unread,
Feb 2, 2020, 11:08:53 PM2/2/20
to nv...@googlegroups.com
You need to uninstall nvpy from python3.5;
You need to install it with python3.6

The way to do this:

check that python3.6 is what you installed:

% python3.6 —version

If this looks correct, then:

% sudo -H python3.6 -m pip install —update nvpy

--
You received this message because you are subscribed to the Google Groups "nvpy" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.

Gilles Caron

unread,
Feb 2, 2020, 11:58:52 PM2/2/20
to nvpy
I tried 2 methods to install it, but now it seems to have a problem with TSL/SSL

gilles@imac:~$ python3 -V
Python 3.6.3

ohhhh...

gilles@imac:~$ sudo pip3 install -U nvpy
pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
Collecting nvpy
  Could not fetch URL https://pypi.python.org/simple/nvpy/: There was a problem confirming the ssl certificate: Can't connect to HTTPS URL because the SSL module is not available. - skipping
  Could not find a version that satisfies the requirement nvpy (from versions: )
No matching distribution found for nvpy

gilles@imac:~$ sudo -H python3.6 -m pip install —update nvpy
pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
Invalid requirement: '—update'

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py", line 92, in __init__
    req = REQUIREMENT.parseString(requirement_string)
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1617, in parseString
    raise exc
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1607, in parseString
    loc, tokens = self._parse( instring, 0 )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1379, in _parseNoCache
    loc,tokens = self.parseImpl( instring, preloc, doActions )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 3376, in parseImpl
    loc, exprtokens = e._parse( instring, loc, doActions )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1379, in _parseNoCache
    loc,tokens = self.parseImpl( instring, preloc, doActions )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 3698, in parseImpl
    return self.expr._parse( instring, loc, doActions, callPreParse=False )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1379, in _parseNoCache
    loc,tokens = self.parseImpl( instring, preloc, doActions )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 3359, in parseImpl
    loc, resultlist = self.exprs[0]._parse( instring, loc, doActions, callPreParse=False )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 1383, in _parseNoCache
    loc,tokens = self.parseImpl( instring, preloc, doActions )
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/pyparsing.py", line 2670, in parseImpl
    raise ParseException(instring, loc, self.errmsg, self)
pip._vendor.pyparsing.ParseException: Expected W:(abcd...) (at char 0), (line:1, col:1)

During handling of the above exception, another exception occurred:


Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/pip/req/req_install.py", line 82, in __init__
    req = Requirement(req)
  File "/usr/local/lib/python3.6/site-packages/pip/_vendor/packaging/requirements.py", line 96, in __init__
    requirement_string[e.loc:e.loc + 8]))
pip._vendor.packaging.requirements.InvalidRequirement: Invalid requirement, parse error at "'—update'"


Yarko Tymciurak

unread,
Feb 3, 2020, 12:56:39 AM2/3/20
to nv...@googlegroups.com
On Sun, Feb 2, 2020 at 10:58 PM Gilles Caron <gil...@gtechblues.ca> wrote:
I tried 2 methods to install it, but now it seems to have a problem with TSL/SSL

gilles@imac:~$ python3 -V
Python 3.6.3

ohhhh...

gilles@imac:~$ sudo pip3 install -U nvpy
pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
Collecting nvpy
  Could not fetch URL https://pypi.python.org/simple/nvpy/: There was a problem confirming the ssl certificate: Can't connect to HTTPS URL because the SSL module is not available. - skipping
  Could not find a version that satisfies the requirement nvpy (from versions: )
No matching distribution found for nvpy

gilles@imac:~$ sudo -H python3.6 -m pip install —update nvpy

my apologies! Late night quick notes:
That should have read:

$ sudo -H python3.6 -m pip install —upgrade nvpy

--
You received this message because you are subscribed to the Google Groups "nvpy" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.
Message has been deleted

Gilles Caron

unread,
Feb 3, 2020, 1:17:09 AM2/3/20
to nvpy
Oups... no problem... I just did a copy&paste so I did not notice it.

Too late now to try again, but tomorrow I’ll try it.

Thanks a lot.

平野勇輝

unread,
Feb 3, 2020, 1:51:45 AM2/3/20
to nv...@googlegroups.com
The cause of TLS/SSL error is that the "libssl-dev" package is not
installed before building.
Linux Mint LMDE3 is based *old* stable release of Debian. Typically,
difficult to run new software on old OS.

Easiest way:
Use current stable release of major distributions (Ex: ubuntu 18.04
LTS, ubuntu 19.10, debian 10, linux mint 19.3 ...).

Hard way:
Build python3.6 or later with the following in mind:
* Install dependencies before execute "./configure".
* Specify some compile options.

1. Download source codes of tcl, tk and python3.7.
2. Execute this script.
https://gist.github.com/yuuki0xff/ad62883c6623d96be089a73842c24c36
3. Execute "/usr/local/bin/nvpy"


2020年2月3日(月) 15:17 Gilles Caron <gil...@gtechblues.ca>:
>
> Oups... no problem... I just did a copy&paste so I did not notice it.
>
> Too late now to try again, but tomorrow I’ll try it.
>
> Thanks a lot.
>
> --
> You received this message because you are subscribed to the Google Groups "nvpy" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/nvpy/fe72cbc8-1417-4d39-9fda-13e851ee034a%40googlegroups.com.



--
平野 勇輝 (Yuki HIRANO)
東京工科大学大学院 バイオ・情報メディア研究科 コンピュータサイエンス専攻 2年
yuuk...@gmail.com
c0115...@edu.teu.ac.jp

Gilles Caron

unread,
Feb 3, 2020, 11:37:22 AM2/3/20
to nvpy
Oh..., thanks a lot for the answer. I executed the script and all went well... I think... still being a beginner at this.
but it still doesn't work.

But I must have forgot to do something before executing the script. I will do more reading... ;-)

Will check that again...


Le lundi 3 février 2020 01:51:45 UTC-5, 平野勇輝 a écrit :
The cause of TLS/SSL error is that the "libssl-dev" package is not
installed before building.
Linux Mint LMDE3 is based *old* stable release of Debian.  Typically,
difficult to run new software on old OS.

Easiest way:
Use current stable release of major distributions (Ex: ubuntu 18.04
LTS, ubuntu 19.10, debian 10, linux mint 19.3 ...).

Hard way:
Build python3.6 or later with the following in mind:
* Install dependencies before execute "./configure".
* Specify some compile options.

1. Download source codes of tcl, tk and python3.7.
2. Execute this script.
https://gist.github.com/yuuki0xff/ad62883c6623d96be089a73842c24c36
3. Execute "/usr/local/bin/nvpy"


2020年2月3日(月) 15:17 Gilles Caron <gil...@gtechblues.ca>:
>
> Oups... no problem... I just did a copy&paste so I did not notice it.
>
> Too late now to try again, but tomorrow I’ll try it.
>
> Thanks a lot.
>
> --
> You received this message because you are subscribed to the Google Groups "nvpy" group.
> To unsubscribe from this group and stop receiving emails from it, send an email to nv...@googlegroups.com.

平野勇輝

unread,
Feb 3, 2020, 10:07:15 PM2/3/20
to nv...@googlegroups.com
Sorry, I found bugs in the script. Please clean unnecessary files and
build as follows:

1. Re-download the script from
https://gist.github.com/yuuki0xff/ad62883c6623d96be089a73842c24c36
2. Delete "/etc/apt/sources.list.d/debian-src.list" file.
3. Put following files into the new directory
* build.sh
* tcl8.6.10-src.tar.gz
* tk8.6.10-src.tar.gz
* Python-3.8.1.tgz

4. Execute "sh build.sh"
5. Execute "/usr/local/bin/nvpy"

I confirmed operations in the clean installed environment. If an
error occurs, please show me the error log.

2020年2月4日(火) 1:37 Gilles Caron <gil...@gtechblues.ca>:
> To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/nvpy/83b556fd-0a1d-4631-9972-8f6a46c551df%40googlegroups.com.

Gilles Caron

unread,
Feb 4, 2020, 1:18:41 AM2/4/20
to nvpy
ok, just a small "newbie" question...

When you write 3. Put following files into the new directory 
which directory is it?

Thanks...

平野勇輝

unread,
Feb 4, 2020, 1:38:10 AM2/4/20
to nv...@googlegroups.com
> When you write 3. Put following files into the new directory
> which directory is it?

Any location you like.
The new directory uses as a workspace for building python3 and dependencies.

2020年2月4日(火) 15:18 Gilles Caron <gil...@gtechblues.ca>:
> To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.
> To view this discussion on the web visit https://groups.google.com/d/msgid/nvpy/7ab6c888-c96e-4011-8dcc-bd60b3711832%40googlegroups.com.

Gilles Caron

unread,
Feb 4, 2020, 11:50:46 AM2/4/20
to nvpy
Now, I'm quite sure that I must be doing something wrong, but I'll keep working on that...
this is what I get on the Terminal this morning

gilles@imac:~$ nvpy
/usr/local/bin/nvpy: 3: exec: /opt/nvpy/bin/python3: not found
gilles@imac:~$ 

and it is true, nvpy/bin/python3 is not created in /opt

Thanks a lot for the infos, I'll try to find what I do or don't do correctly...

Gilles

Gilles Caron

unread,
Feb 4, 2020, 11:53:27 AM2/4/20
to nvpy

Capture du 2020-02-04 02-24-20.png




Gilles Caron

unread,
Feb 5, 2020, 2:56:46 PM2/5/20
to nvpy
OK, here is an update...

I decided to install Linux Mint 19.3 instead of LMDE 3 and was able to simply install V1.14 without ptoblems for now.

Thanks again for all the help...


Le dimanche 2 février 2020 15:33:15 UTC-5, Gilles Caron a écrit :

平野勇輝

unread,
Feb 10, 2020, 10:20:11 AM2/10/20
to nv...@googlegroups.com
Please tell me the result of executing "sh build.sh".

2020年2月5日(水) 1:53 Gilles Caron <gil...@gtechblues.ca>:

Capture du 2020-02-04 02-24-20.png




--
You received this message because you are subscribed to the Google Groups "nvpy" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nvpy+uns...@googlegroups.com.
To view this discussion on the web visit https://groups.google.com/d/msgid/nvpy/596fa4f5-2105-4462-995c-38abfdfaa254%40googlegroups.com.

Message has been deleted

Gilles Caron

unread,
Feb 10, 2020, 1:44:33 PM2/10/20
to nvpy
Sorry, I don’t have LDME3 installed anymore to test it.
I installed Mint 19.3 which have a more recent version of Python pre-installed and had no problem installing nvpy on it.
I will wait for LDME 4 to try it again because I think that LDME 3 is still not ready for a fully working Ubuntuless version. 
Thanks


Le lundi 10 février 2020 10:20:11 UTC-5, 平野勇輝 a écrit :
Please tell me the result of executing "sh build.sh".

2020年2月5日(水) 1:53 Gilles Caron <gil...@gtechblues.ca>:

Capture du 2020-02-04 02-24-20.png




--
You received this message because you are subscribed to the Google Groups "nvpy" group.
To unsubscribe from this group and stop receiving emails from it, send an email to nv...@googlegroups.com.
Reply all
Reply to author
Forward
0 new messages